# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "accounts_management/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "accounts_management"
  s.version     = AccountsManagement::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "AccountsManagement engine (v#{s.version})"
  s.description = "Accounts management"
  s.license     = 'MIT'

  s.files = Dir["{app,bin,config,db,lib}/**/*"] + Dir["spec/dummy/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.rdoc"]
  # s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "accounts_management", "--main", "README.rdoc"]
  s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/accounts_management_tasks.rake", "lib/accounts_management.rb"]

  s.add_dependency 'rails', '>= 6.0'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = ACCOUNTS_MANAGEMENT_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency in_house_engine[:name].to_s }
end
