module AccountsManagement
  class Accounts::BankAccount < ActiveRecord::Base
    belongs_to :bank, class_name: 'CoreModels::PeopleAndCompanies::Bank', optional: true
    belongs_to :branch, class_name: 'CoreModels::PeopleAndCompanies::BankBranch'
    belongs_to :account_owner, polymorphic: true
    belongs_to :account_owner_user, polymorphic: true, optional: true
    belongs_to :currency, class_name: 'CoreModels::Base::Currency'

    #----------------------------------------------------------------------------

    # attr_accessible :account_name, :account_number, :account_type
    # attr_accessible :iban_number, :roll_number, :swift_bic_code

    # if ::Rails.env.test?
    # attr_accessible :currency, :currency_id
    # attr_accessible :bank, :bank_id
    # attr_accessible :branch, :branch_id
    # attr_accessible :account_owner, :account_owner_id
    # attr_accessible :account_owner_user, :account_owner_user_id
    # end

    #----------------------------------------------------------------------------

    validates :account_name, presence: true
    # validates :currency, presence: true # rubocop(Rails/RedundantPresenceValidationOnBelongsTo)
    # # validates :branch, presence: true # rubocop(Rails/RedundantPresenceValidationOnBelongsTo)
    # validates :account_owner, presence: true

    #----------------------------------------------------------------------------

    def to_s
      "#{account_name}(#{currency})"
    end
  end
end
