module AccountsManagement
  class Documents::Order < ActiveRecord::Base
    belongs_to :owner, polymorphic: true

    belongs_to :owner_account, class_name: 'AccountsManagement::Ledgers::Account'
    belongs_to :client_account, class_name: 'AccountsManagement::Ledgers::Account'

    belongs_to :currency, class_name: 'CoreModels::Base::Currency'
    belongs_to :vat_rate, class_name: 'CoreModels::Misc::VatRate'

    # belongs_to :order_status

    # belongs_to :alternate_shipping_address, class_name: 'CoreModels::Base::Address'
    # belongs_to :salesperson, class_name: 'CoreModels::PeopleAndCompanies::Person'

    has_many :order_line_items, dependent: :destroy
    has_many :order_status_histories, dependent: :destroy

    #---------------------------------------------------------------------------

    # attr_accessible :reference_number
    # attr_accessible :client_purchase_order_reference
    # attr_accessible :order_date, :required_delivery_date, :expected_delivery_date
    # attr_accessible :freight_charge, :date_shipped, :shipped_via, :shipping_method
    # attr_accessible :is_active, :is_complete
    # attr_accessible :payment_terms, :quote_amount
    # attr_accessible :additional_notes

    # attr_accessible :client_account, :client_account_id
    # attr_accessible :vat_rate, :vat_rate_id
    # attr_accessible :currency, :currency_id
    # attr_accessible :alternate_shipping_address, :alternate_shipping_address_id
    # attr_accessible :salesperson, :salesperson_id

    #---------------------------------------------------------------------------

    # validates :client_account, presence: true
    validates :reference_number, presence: true
    # validates :currency, presence: true

    #---------------------------------------------------------------------------

    def self.generate_reference_number
      Time.now.utc.strftime("%y%m%j%H%M%S%L") # "YY|MM|day|hh|mm|ss|ms"
      Time.now.utc.strftime("%y%m%j%H%M%S") # "YY|MM|day|hh|mm|ss"
      # Time.now.utc.strftime("%Y%m%d").to_s + "-" + number.to_s #"YYYY|MM|DD|#"
    end

    #---------------------------------------------------------------------------

    def to_s
      reference_number
    end

    #---------------------------------------------------------------------------
  end
end
