module AccountsManagement
  class Ledgers::Ledger < ActiveRecord::Base
    belongs_to :account, class_name: 'AccountsManagement::Ledgers::Account', inverse_of: :ledgers
    belongs_to :currency, class_name: 'CoreModels::Base::Currency'
    belongs_to :bank_account, optional: true

    has_many :ledger_entries, class_name: 'AccountsManagement::Ledgers::LedgerEntry', inverse_of: :primary_ledger, dependent: :destroy
    accepts_nested_attributes_for :ledger_entries

    # attr_accessible :name, :convert_all_transactions

    # attr_accessible :account, :account_id
    # attr_accessible :currency, :currency_id

    validates :name, presence: true
    validates :name, uniqueness: { scope: [:account, :currency] }

    # validates :account, presence: true # rubocop(Rails/RedundantPresenceValidationOnBelongsTo)
    # validates :currency, presence: true # rubocop(Rails/RedundantPresenceValidationOnBelongsTo)

    #---------------------------------------------------------------------------

    def to_s
      name
    end

    #---------------------------------------------------------------------------
  end
end
