class CreateAccountsManagementAccountsBankAccounts < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_accounts_bank_accounts do |t|
      t.string     :account_name
      t.string     :account_type

      t.string     :roll_number
      t.string     :routing_number

      t.string     :sort_code
      t.string     :account_number

      t.string     :iban_number
      t.string     :swift_bic_code

      t.references :currency

      t.references :bank
      t.references :branch

      t.references :account_owner, polymorphic: true
      t.references :account_owner_user, polymorphic: true

      t.timestamps null: false
    end

    add_index :accounts_management_accounts_bank_accounts, :currency_id, name: :index_on_bank_accounts_on_currency_id
    add_index :accounts_management_accounts_bank_accounts, :bank_id, name: :index_on_bank_accounts_on_bank_id
    add_index :accounts_management_accounts_bank_accounts, :branch_id, name: :index_on_bank_accounts_on_branch_id
    add_index :accounts_management_accounts_bank_accounts, :account_owner_id, name: :index_on_bank_accounts_on_account_owner_id
    add_index :accounts_management_accounts_bank_accounts, :account_owner_user_id,
              name: :index_on_bank_accounts_on_account_owner_user_id
  end
end
