class CreateAccountsManagementAccountsClientAccounts < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_accounts_client_accounts do |t|
      t.string :reference_number
      t.boolean :is_active
      t.boolean :is_company_account

      t.references :account_owner

      t.references :billing_address
      t.references :shipping_address

      t.references :contact
      t.references :account_owner_user, polymorphic: true

      t.timestamps null: false
    end

    add_index :accounts_management_accounts_client_accounts, :account_owner_id,
              name: :index_on_client_accounts_on_account_owner_id
    add_index :accounts_management_accounts_client_accounts, :billing_address_id,
              name: :index_on_client_accounts_on_billing_address_id
    add_index :accounts_management_accounts_client_accounts, :shipping_address_id,
              name: :index_on_client_accounts_on_shipping_address_id
    add_index :accounts_management_accounts_client_accounts, :contact_id, name: :index_on_client_accounts_on_contact_id
    add_index :accounts_management_accounts_client_accounts, :account_owner_user_id,
              name: :index_on_client_accounts_on_account_owner_user_id
  end
end
