class CreateAccountsManagementLedgersAccounts < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_ledgers_accounts do |t|
      t.string     :name
      t.references :owner, polymorphic: true
      t.references :default_currency
      t.boolean    :convert_all_transactions, null: false, default: false
      t.boolean    :active, null: false, default: true

      t.timestamps null: false
    end
    add_index :accounts_management_ledgers_accounts, :owner_id
    add_index :accounts_management_ledgers_accounts, :default_currency_id, name: :index_accounts_management_ledgers_accounts_on_default_currency
  end
end
