class CreateAccountsManagementLedgersLedgers < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_ledgers_ledgers do |t|
      t.string     :name
      t.references :account
      t.references :currency
      t.boolean    :convert_all_transactions, null: false, default: false
      t.references :bank_account, null: true

      t.timestamps null: false
    end

    add_index :accounts_management_ledgers_ledgers, :account_id
    add_index :accounts_management_ledgers_ledgers, :currency_id
    add_index :accounts_management_ledgers_ledgers, [:name, :account_id, :currency_id], unique: true, name: :index_accounts_management_ledgers_ledgers_on_name_and_account
  end
end
