class CreateAccountsManagementLedgersLedgerEntries < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_ledgers_ledger_entries do |t|
      t.references :primary_ledger
      t.date       :date
      t.string     :description
      t.string     :direction
      t.float      :amount, precision: 20, scale: 2
      t.references :payment_method
      t.float      :vat_amount, precision: 20, scale: 2
      t.references :currency
      t.references :secondary_ledger
      t.references :invoice
      t.references :order

      t.timestamps null: false
    end

    add_index :accounts_management_ledgers_ledger_entries, :primary_ledger_id,
              name: :index_on_ledger_entries_on_primary_ledger_id
    add_index :accounts_management_ledgers_ledger_entries, :secondary_ledger_id,
              name: :index_on_ledger_entries_on_secondary_ledger_id
    add_index :accounts_management_ledgers_ledger_entries, [:primary_ledger_id, :secondary_ledger_id],
              name: :index_on_ledger_entries_on_primary__and_secondary_ledger_id
    add_index :accounts_management_ledgers_ledger_entries, :payment_method_id,
              name: :index_on_ledger_entries_on_payment_method_id
    add_index :accounts_management_ledgers_ledger_entries, :currency_id,
              name: :index_on_ledger_entries_on_currency_id
    add_index :accounts_management_ledgers_ledger_entries, :invoice_id,
              name: :index_on_ledger_entries_on_invoice_id
    add_index :accounts_management_ledgers_ledger_entries, :order_id,
              name: :index_on_ledger_entries_on_order_id
  end
end
