class CreateAccountsManagementDocumentsContracts < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_documents_contracts do |t|
      t.string :name
      t.integer :major_version
      t.integer :minor_version
      t.references :parent_contract
      t.references :status
      t.references :first_party, polymorphic: true
      t.string :first_party_reference_number
      t.references :first_party_account
      t.references :second_party, polymorphic: true
      t.string :second_party_reference_number
      t.references :second_party_account
      t.text :detail
      t.boolean :is_active
      t.integer :minimum_duration_days
      t.datetime :expected_start_date
      t.datetime :expected_end_date
      t.datetime :actual_start_date
      t.datetime :actual_end_date
      t.references :currency
      t.float :fixed_price
      t.decimal :recurring_fee
      t.integer :recurring_fee_interval_count
      t.references :recurring_fee_interval_unit
      t.string :recurring_fee_ical_expression
      t.integer :billing_interval_count
      t.references :billing_interval_unit
      t.string :billing_interval_ical_expression
      t.text :service_level_agreement
      t.text :terms_and_conditions
      t.references :owner_user, polymorphic: true
      t.references :project, polymorphic: true

      t.timestamps null: false
    end

    add_index :accounts_management_documents_contracts, :parent_contract_id, name: :index_on_contracts_on_parent_contract_id
    add_index :accounts_management_documents_contracts, :status_id, name: :index_on_contracts_on_status_id
    add_index :accounts_management_documents_contracts, :first_party_id, name: :index_on_contracts_on_first_party_id
    add_index :accounts_management_documents_contracts, :first_party_account_id,
              name: :index_on_contracts_on_first_party_account_id
    add_index :accounts_management_documents_contracts, :second_party_id, name: :index_on_contracts_on_second_party_id
    add_index :accounts_management_documents_contracts, :second_party_account_id,
              name: :index_on_contracts_on_second_party_account_id
    add_index :accounts_management_documents_contracts, :currency_id, name: :index_on_contracts_on_currency_id
    add_index :accounts_management_documents_contracts, :recurring_fee_interval_unit_id,
              name: :index_on_contracts_on_recurring_fee_interval_unit_id
    add_index :accounts_management_documents_contracts, :billing_interval_unit_id,
              name: :index_on_contracts_on_billing_interval_unit_id
    add_index :accounts_management_documents_contracts, :owner_user_id, name: :index_on_contracts_on_owner_user_id
    add_index :accounts_management_documents_contracts, :project_id, name: :index_on_contracts_on_project_id
  end
end
