class CreateAccountsManagementDocumentsContractLineItems < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_documents_contract_line_items do |t|
      t.references :contract
      t.string :first_party_clin
      t.string :second_party_clin
      t.integer :quantity
      t.references :product, polymorphic: true
      t.text :description
      t.boolean :is_active
      t.integer :minimum_duration_days
      t.datetime :expected_start_date
      t.datetime :expected_end_date
      t.datetime :actual_start_date
      t.datetime :actual_end_date
      t.references :currency
      t.float :fixed_price, precision: 20, scale: 2
      t.decimal :recurring_fee, precision: 20, scale: 2
      t.integer :recurring_fee_interval_count
      t.references :recurring_fee_interval_unit
      t.string :recurring_fee_ical_expression
      t.integer :billing_interval_count
      t.references :billing_interval_unit
      t.string :billing_interval_ical_expression
      t.text :note

      t.timestamps null: false
    end

    add_index :accounts_management_documents_contract_line_items, :contract_id,
              name: :index_on_contract_line_items_on_contract_id
    add_index :accounts_management_documents_contract_line_items, :product_id, name: :index_on_contract_line_items_on_product_id
    add_index :accounts_management_documents_contract_line_items, :currency_id,
              name: :index_on_contract_line_items_on_currency_id
    add_index :accounts_management_documents_contract_line_items, :recurring_fee_interval_unit_id,
              name: :index_on_contract_line_items_on_recurring_fee_interval_unit_id
    add_index :accounts_management_documents_contract_line_items, :billing_interval_unit_id,
              name: :index_on_contract_line_items_on_billing_interval_unit_id
  end
end
