class CreateAccountsManagementDocumentsContractLineItemRates < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_documents_contract_line_item_rates do |t|
      t.references :contract_line_item
      t.text :description
      t.boolean :is_active
      t.references :currency
      t.float :fixed_price, precision: 20, scale: 2
      t.decimal :recurring_fee, precision: 20, scale: 2
      t.integer :recurring_fee_interval_count
      t.references :recurring_fee_interval_unit
      t.string :recurring_fee_ical_expression
      t.integer :billing_interval_count
      t.references :billing_interval_unit
      t.string :billing_interval_ical_expression
      t.text :note

      t.timestamps null: false
    end

    add_index :accounts_management_documents_contract_line_item_rates, :contract_line_item_id,
              name: :index_on_cli_charge_rates_on_contract_line_item_id
    add_index :accounts_management_documents_contract_line_item_rates, :currency_id,
              name: :index_on_cli_charge_rates_on_currency_id
    add_index :accounts_management_documents_contract_line_item_rates, :recurring_fee_interval_unit_id,
              name: :index_on_cli_charge_rates_on_recurring_fee_interval_unit_id
    add_index :accounts_management_documents_contract_line_item_rates, :billing_interval_unit_id,
              name: :index_on_cli_charge_rates_on_billing_interval_unit_id
  end
end
