class CreateAccountsManagementDocumentsInvoices < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_documents_invoices do |t|
      t.references :owner, polymorphic: true
      t.references :owner_account
      t.string :reference_number
      t.references :invoice_status
      t.references :invoice_style
      t.string :customer_purchase_order_reference
      t.datetime :date_prepared
      t.datetime :date_printed
      t.datetime :date_shipped
      t.datetime :expected_payment_date
      t.datetime :actual_payment_date
      t.float :net_amount, precision: 20, scale: 2
      t.float :gross_amount, precision: 20, scale: 2
      t.references :vat_rate
      t.float :vat_charged, precision: 20, scale: 2
      t.float :payment_to_date, precision: 20, scale: 2
      t.references :currency
      t.string :shipped_via
      t.references :alternate_shipping_address
      t.references :client_account
      t.references :payment_method
      t.references :salesperson
      t.text :additional_notes

      t.timestamps null: false
    end

    add_index :accounts_management_documents_invoices, [:owner_id, :owner_type], name: :index_on_invoices_on_owner
    add_index :accounts_management_documents_invoices, :invoice_status_id, name: :index_on_invoices_on_invoice_status_id
    add_index :accounts_management_documents_invoices, :invoice_style_id, name: :index_on_invoices_on_invoice_style_id
    add_index :accounts_management_documents_invoices, :vat_rate_id, name: :index_on_invoices_on_vat_rate_id
    add_index :accounts_management_documents_invoices, :currency_id, name: :index_on_invoices_on_currency_id
    add_index :accounts_management_documents_invoices, :alternate_shipping_address_id,
              name: :index_on_invoices_on_alternate_shipping_address_id
    add_index :accounts_management_documents_invoices, :client_account_id, name: :index_on_invoices_on_client_account_id
    add_index :accounts_management_documents_invoices, :payment_method_id, name: :index_on_invoices_on_payment_method_id
    add_index :accounts_management_documents_invoices, :salesperson_id, name: :index_on_invoices_on_salesperson_id
    add_index :accounts_management_documents_invoices, :expected_payment_date, name: :index_on_invoices_on_expected_payment_date
  end
end
