class CreateAccountsManagementDocumentsInvoiceEntries < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_documents_invoice_entries do |t|
      t.references :invoice
      t.references :invoice_entry_type
      t.integer :quantity
      t.references :product, polymorphic: true
      t.string :description
      t.float :unit_price, precision: 20, scale: 2
      t.float :net_price, precision: 20, scale: 2
      t.references :currency

      t.timestamps null: false
    end

    add_index :accounts_management_documents_invoice_entries, :invoice_id, name: :index_on_invoice_entries_on_invoice_id
    add_index :accounts_management_documents_invoice_entries, :invoice_entry_type_id,
              name: :index_on_invoice_entries_on_invoice_entry_type_id
    add_index :accounts_management_documents_invoice_entries, :product_id, name: :index_on_invoice_entries_on_product_id
    add_index :accounts_management_documents_invoice_entries, :currency_id, name: :index_on_invoice_entries_on_currency_id
  end
end
