class CreateAccountsManagementDocumentsOrderLineItems < ActiveRecord::Migration[4.2]
  def self.up
    create_table :accounts_management_documents_order_line_items do |t|
      t.references :order, null: false
      t.references :product, null: false
      t.string     :product_name, null: false
      t.string     :product_model, null: false
      t.float      :product_quantity, null: false
      t.decimal    :product_price, null: false, precision: 20, scale: 2
      t.decimal    :onetime_charges, null: false, precision: 20, scale: 2
      t.decimal    :product_tax, null: false, precision: 20, scale: 2
      t.decimal    :final_price, null: false, precision: 20, scale: 2
      t.boolean    :is_priced_by_attribute, null: false
      t.boolean    :is_free, null: false

      t.timestamps
    end
  end

  def self.down
    drop_table :order_line_items
  end
end
