# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.0].define(version: 2021_04_28_224236) do
  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "accounts_management_accounts_bank_accounts", id: :serial, force: :cascade do |t|
    t.string "account_name"
    t.string "account_type"
    t.string "roll_number"
    t.string "routing_number"
    t.string "sort_code"
    t.string "account_number"
    t.string "iban_number"
    t.string "swift_bic_code"
    t.integer "currency_id"
    t.integer "bank_id"
    t.integer "branch_id"
    t.string "account_owner_type"
    t.integer "account_owner_id"
    t.string "account_owner_user_type"
    t.integer "account_owner_user_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["account_owner_id"], name: "index_on_bank_accounts_on_account_owner_id"
    t.index ["account_owner_user_id"], name: "index_on_bank_accounts_on_account_owner_user_id"
    t.index ["bank_id"], name: "index_on_bank_accounts_on_bank_id"
    t.index ["branch_id"], name: "index_on_bank_accounts_on_branch_id"
    t.index ["currency_id"], name: "index_on_bank_accounts_on_currency_id"
  end

  create_table "accounts_management_accounts_client_accounts", id: :serial, force: :cascade do |t|
    t.string "reference_number"
    t.boolean "is_active"
    t.boolean "is_company_account"
    t.integer "account_owner_id"
    t.integer "billing_address_id"
    t.integer "shipping_address_id"
    t.integer "contact_id"
    t.string "account_owner_user_type"
    t.integer "account_owner_user_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["account_owner_id"], name: "index_on_client_accounts_on_account_owner_id"
    t.index ["account_owner_user_id"], name: "index_on_client_accounts_on_account_owner_user_id"
    t.index ["billing_address_id"], name: "index_on_client_accounts_on_billing_address_id"
    t.index ["contact_id"], name: "index_on_client_accounts_on_contact_id"
    t.index ["shipping_address_id"], name: "index_on_client_accounts_on_shipping_address_id"
  end

  create_table "accounts_management_documents_contract_attachments", id: :serial, force: :cascade do |t|
    t.integer "contract_id"
    t.integer "attachment_id"
    t.index ["contract_id", "attachment_id"], name: "contract_attachments_index", unique: true
  end

  create_table "accounts_management_documents_contract_line_item_rates", id: :serial, force: :cascade do |t|
    t.integer "contract_line_item_id"
    t.text "description"
    t.boolean "is_active"
    t.integer "currency_id"
    t.float "fixed_price"
    t.decimal "recurring_fee", precision: 20, scale: 2
    t.integer "recurring_fee_interval_count"
    t.integer "recurring_fee_interval_unit_id"
    t.string "recurring_fee_ical_expression"
    t.integer "billing_interval_count"
    t.integer "billing_interval_unit_id"
    t.string "billing_interval_ical_expression"
    t.text "note"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["billing_interval_unit_id"], name: "index_on_cli_charge_rates_on_billing_interval_unit_id"
    t.index ["contract_line_item_id"], name: "index_on_cli_charge_rates_on_contract_line_item_id"
    t.index ["currency_id"], name: "index_on_cli_charge_rates_on_currency_id"
    t.index ["recurring_fee_interval_unit_id"], name: "index_on_cli_charge_rates_on_recurring_fee_interval_unit_id"
  end

  create_table "accounts_management_documents_contract_line_items", id: :serial, force: :cascade do |t|
    t.integer "contract_id"
    t.string "first_party_clin"
    t.string "second_party_clin"
    t.integer "quantity"
    t.string "product_type"
    t.integer "product_id"
    t.text "description"
    t.boolean "is_active"
    t.integer "minimum_duration_days"
    t.datetime "expected_start_date", precision: nil
    t.datetime "expected_end_date", precision: nil
    t.datetime "actual_start_date", precision: nil
    t.datetime "actual_end_date", precision: nil
    t.integer "currency_id"
    t.float "fixed_price"
    t.decimal "recurring_fee", precision: 20, scale: 2
    t.integer "recurring_fee_interval_count"
    t.integer "recurring_fee_interval_unit_id"
    t.string "recurring_fee_ical_expression"
    t.integer "billing_interval_count"
    t.integer "billing_interval_unit_id"
    t.string "billing_interval_ical_expression"
    t.text "note"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["billing_interval_unit_id"], name: "index_on_contract_line_items_on_billing_interval_unit_id"
    t.index ["contract_id"], name: "index_on_contract_line_items_on_contract_id"
    t.index ["currency_id"], name: "index_on_contract_line_items_on_currency_id"
    t.index ["product_id"], name: "index_on_contract_line_items_on_product_id"
    t.index ["recurring_fee_interval_unit_id"], name: "index_on_contract_line_items_on_recurring_fee_interval_unit_id"
  end

  create_table "accounts_management_documents_contract_statuses", id: :serial, force: :cascade do |t|
    t.string "name"
    t.text "description"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "accounts_management_documents_contracts", id: :serial, force: :cascade do |t|
    t.string "name"
    t.integer "major_version"
    t.integer "minor_version"
    t.integer "parent_contract_id"
    t.integer "status_id"
    t.string "first_party_type"
    t.integer "first_party_id"
    t.string "first_party_reference_number"
    t.integer "first_party_account_id"
    t.string "second_party_type"
    t.integer "second_party_id"
    t.string "second_party_reference_number"
    t.integer "second_party_account_id"
    t.text "detail"
    t.boolean "is_active"
    t.integer "minimum_duration_days"
    t.datetime "expected_start_date", precision: nil
    t.datetime "expected_end_date", precision: nil
    t.datetime "actual_start_date", precision: nil
    t.datetime "actual_end_date", precision: nil
    t.integer "currency_id"
    t.float "fixed_price"
    t.decimal "recurring_fee"
    t.integer "recurring_fee_interval_count"
    t.integer "recurring_fee_interval_unit_id"
    t.string "recurring_fee_ical_expression"
    t.integer "billing_interval_count"
    t.integer "billing_interval_unit_id"
    t.string "billing_interval_ical_expression"
    t.text "service_level_agreement"
    t.text "terms_and_conditions"
    t.string "owner_user_type"
    t.integer "owner_user_id"
    t.string "project_type"
    t.integer "project_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["billing_interval_unit_id"], name: "index_on_contracts_on_billing_interval_unit_id"
    t.index ["currency_id"], name: "index_on_contracts_on_currency_id"
    t.index ["first_party_account_id"], name: "index_on_contracts_on_first_party_account_id"
    t.index ["first_party_id"], name: "index_on_contracts_on_first_party_id"
    t.index ["owner_user_id"], name: "index_on_contracts_on_owner_user_id"
    t.index ["parent_contract_id"], name: "index_on_contracts_on_parent_contract_id"
    t.index ["project_id"], name: "index_on_contracts_on_project_id"
    t.index ["recurring_fee_interval_unit_id"], name: "index_on_contracts_on_recurring_fee_interval_unit_id"
    t.index ["second_party_account_id"], name: "index_on_contracts_on_second_party_account_id"
    t.index ["second_party_id"], name: "index_on_contracts_on_second_party_id"
    t.index ["status_id"], name: "index_on_contracts_on_status_id"
  end

  create_table "accounts_management_documents_invoice_entries", id: :serial, force: :cascade do |t|
    t.integer "invoice_id"
    t.integer "invoice_entry_type_id"
    t.integer "quantity"
    t.string "product_type"
    t.integer "product_id"
    t.string "description"
    t.float "unit_price"
    t.float "net_price"
    t.integer "currency_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["currency_id"], name: "index_on_invoice_entries_on_currency_id"
    t.index ["invoice_entry_type_id"], name: "index_on_invoice_entries_on_invoice_entry_type_id"
    t.index ["invoice_id"], name: "index_on_invoice_entries_on_invoice_id"
    t.index ["product_id"], name: "index_on_invoice_entries_on_product_id"
  end

  create_table "accounts_management_documents_invoice_entry_types", id: :serial, force: :cascade do |t|
    t.string "product_type"
    t.integer "product_id"
    t.string "name"
    t.text "description"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "accounts_management_documents_invoice_statuses", id: :serial, force: :cascade do |t|
    t.string "name"
    t.text "description"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "accounts_management_documents_invoice_styles", id: :serial, force: :cascade do |t|
    t.string "name"
    t.text "description"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "accounts_management_documents_invoices", id: :serial, force: :cascade do |t|
    t.string "owner_type"
    t.integer "owner_id"
    t.integer "owner_account_id"
    t.string "reference_number"
    t.integer "invoice_status_id"
    t.integer "invoice_style_id"
    t.string "customer_purchase_order_reference"
    t.datetime "date_prepared", precision: nil
    t.datetime "date_printed", precision: nil
    t.datetime "date_shipped", precision: nil
    t.datetime "expected_payment_date", precision: nil
    t.datetime "actual_payment_date", precision: nil
    t.float "net_amount"
    t.float "gross_amount"
    t.integer "vat_rate_id"
    t.float "vat_charged"
    t.float "payment_to_date"
    t.integer "currency_id"
    t.string "shipped_via"
    t.integer "alternate_shipping_address_id"
    t.integer "client_account_id"
    t.integer "payment_method_id"
    t.integer "salesperson_id"
    t.text "additional_notes"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["alternate_shipping_address_id"], name: "index_on_invoices_on_alternate_shipping_address_id"
    t.index ["client_account_id"], name: "index_on_invoices_on_client_account_id"
    t.index ["currency_id"], name: "index_on_invoices_on_currency_id"
    t.index ["expected_payment_date"], name: "index_on_invoices_on_expected_payment_date"
    t.index ["invoice_status_id"], name: "index_on_invoices_on_invoice_status_id"
    t.index ["invoice_style_id"], name: "index_on_invoices_on_invoice_style_id"
    t.index ["owner_id", "owner_type"], name: "index_on_invoices_on_owner"
    t.index ["payment_method_id"], name: "index_on_invoices_on_payment_method_id"
    t.index ["salesperson_id"], name: "index_on_invoices_on_salesperson_id"
    t.index ["vat_rate_id"], name: "index_on_invoices_on_vat_rate_id"
  end

  create_table "accounts_management_documents_order_line_item_attributes", id: :serial, force: :cascade do |t|
    t.integer "order_line_item_id", null: false
    t.integer "order_id", null: false
    t.integer "product_id", null: false
    t.integer "product_option_id", null: false
    t.string "product_option", null: false
    t.integer "product_option_value_id", null: false
    t.string "product_option_value", null: false
    t.decimal "product_option_value_price", precision: 20, scale: 2, null: false
    t.string "price_prefix"
    t.string "price_suffix"
    t.boolean "is_free", null: false
    t.float "weight"
    t.string "weight_prefix"
    t.string "weight_suffix"
    t.datetime "created_at", precision: nil
    t.datetime "updated_at", precision: nil
  end

  create_table "accounts_management_documents_order_line_items", id: :serial, force: :cascade do |t|
    t.integer "order_id", null: false
    t.integer "product_id", null: false
    t.string "product_name", null: false
    t.string "product_model", null: false
    t.float "product_quantity", null: false
    t.decimal "product_price", precision: 20, scale: 2, null: false
    t.decimal "onetime_charges", precision: 20, scale: 2, null: false
    t.decimal "product_tax", precision: 20, scale: 2, null: false
    t.decimal "final_price", precision: 20, scale: 2, null: false
    t.boolean "is_priced_by_attribute", null: false
    t.boolean "is_free", null: false
    t.datetime "created_at", precision: nil
    t.datetime "updated_at", precision: nil
  end

  create_table "accounts_management_documents_order_status_histories", id: :serial, force: :cascade do |t|
    t.integer "order_id", null: false
    t.integer "order_status_id", null: false
    t.boolean "customer_notified", default: false
    t.text "comments"
    t.datetime "created_at", precision: nil
    t.datetime "updated_at", precision: nil
  end

  create_table "accounts_management_documents_order_statuses", id: :serial, force: :cascade do |t|
    t.integer "language_id", null: false
    t.string "name", null: false
    t.index ["id", "language_id"], name: "index_on_order_statuses_on_id_language_id"
    t.index ["name"], name: "index_on_order_statuses_on_name"
  end

  create_table "accounts_management_documents_orders", id: :serial, force: :cascade do |t|
    t.string "owner_type"
    t.integer "owner_id"
    t.integer "owner_account_id"
    t.integer "client_account_id"
    t.string "reference_number"
    t.string "client_purchase_order_reference"
    t.boolean "is_active", default: true
    t.boolean "is_complete", default: false
    t.datetime "order_date", precision: nil
    t.datetime "required_delivery_date", precision: nil
    t.datetime "date_shipped", precision: nil
    t.datetime "expected_delivery_date", precision: nil
    t.datetime "actual_delivery_date", precision: nil
    t.datetime "expected_payment_date", precision: nil
    t.datetime "actual_payment_date", precision: nil
    t.float "quote_amount"
    t.integer "vat_rate_id"
    t.float "freight_charge"
    t.integer "currency_id"
    t.string "payment_terms"
    t.string "shipped_via"
    t.string "shipping_method"
    t.integer "alternate_shipping_address_id"
    t.integer "salesperson_id"
    t.text "additional_notes"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["alternate_shipping_address_id"], name: "index_on_orders_on_alternate_shipping_address_id"
    t.index ["client_account_id"], name: "index_on_orders_on_client_account"
    t.index ["currency_id"], name: "index_on_orders_on_currency_id"
    t.index ["expected_payment_date"], name: "index_on_orders_on_expected_payment_date"
    t.index ["owner_account_id"], name: "index_on_orders_on_owner_account"
    t.index ["owner_id", "owner_type"], name: "index_on_orders_on_owner"
    t.index ["salesperson_id"], name: "index_on_orders_on_salesperson_id"
    t.index ["vat_rate_id"], name: "index_on_orders_on_vat_rate_id"
  end

  create_table "accounts_management_ledgers_accounts", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "owner_type"
    t.integer "owner_id"
    t.integer "default_currency_id"
    t.boolean "convert_all_transactions", default: false, null: false
    t.boolean "active", default: true, null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["default_currency_id"], name: "index_accounts_management_ledgers_accounts_on_default_currency"
    t.index ["owner_id"], name: "index_accounts_management_ledgers_accounts_on_owner_id"
  end

  create_table "accounts_management_ledgers_ledger_entries", id: :serial, force: :cascade do |t|
    t.integer "primary_ledger_id"
    t.date "date"
    t.string "description"
    t.string "direction"
    t.float "amount"
    t.integer "payment_method_id"
    t.float "vat_amount"
    t.integer "currency_id"
    t.integer "secondary_ledger_id"
    t.integer "invoice_id"
    t.integer "order_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["currency_id"], name: "index_on_ledger_entries_on_currency_id"
    t.index ["invoice_id"], name: "index_on_ledger_entries_on_invoice_id"
    t.index ["order_id"], name: "index_on_ledger_entries_on_order_id"
    t.index ["payment_method_id"], name: "index_on_ledger_entries_on_payment_method_id"
    t.index ["primary_ledger_id", "secondary_ledger_id"], name: "index_on_ledger_entries_on_primary__and_secondary_ledger_id"
    t.index ["primary_ledger_id"], name: "index_on_ledger_entries_on_primary_ledger_id"
    t.index ["secondary_ledger_id"], name: "index_on_ledger_entries_on_secondary_ledger_id"
  end

  create_table "accounts_management_ledgers_ledger_entry_header_archives", id: :serial, force: :cascade do |t|
    t.datetime "archive_date", precision: nil
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "accounts_management_ledgers_ledger_entry_headers", id: :serial, force: :cascade do |t|
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "accounts_management_ledgers_ledgers", id: :serial, force: :cascade do |t|
    t.string "name"
    t.integer "account_id"
    t.integer "currency_id"
    t.boolean "convert_all_transactions", default: false, null: false
    t.integer "bank_account_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["account_id"], name: "index_accounts_management_ledgers_ledgers_on_account_id"
    t.index ["currency_id"], name: "index_accounts_management_ledgers_ledgers_on_currency_id"
    t.index ["name", "account_id", "currency_id"], name: "index_accounts_management_ledgers_ledgers_on_name_and_account", unique: true
  end

  create_table "accounts_management_ledgers_master_data", id: :serial, force: :cascade do |t|
    t.integer "account_id"
    t.date "accounting_year_end"
    t.date "tax_year_end"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["account_id"], name: "index_accounts_management_ledgers_master_data_on_account_id"
  end

  create_table "asset_management_asset_data", id: :serial, force: :cascade do |t|
    t.string "asset_owner_type"
    t.integer "asset_owner_id"
    t.string "name"
    t.text "description"
    t.string "filename", null: false
    t.binary "data"
    t.integer "size"
    t.string "mime_type"
    t.integer "folder_id", null: false
    t.integer "version", null: false
    t.string "storage_reference"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["filename", "folder_id", "version"], name: "index_asset_data_on_filename_and_folder_and_version", unique: true
    t.index ["name"], name: "index_asset_management_asset_data_on_name"
  end

  create_table "asset_management_virtual_folders", id: :serial, force: :cascade do |t|
    t.string "name", null: false
    t.text "description"
    t.integer "parent_folder_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["name", "parent_folder_id"], name: "index_virtual_folders_on_name_and_parent_folder_id", unique: true
    t.index ["parent_folder_id"], name: "index_asset_management_virtual_folders_on_parent_folder_id"
  end

  create_table "core_base_address_associations", force: :cascade do |t|
    t.string "owner_type"
    t.bigint "owner_id"
    t.bigint "address_id"
    t.bigint "address_type_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["address_id"], name: "index_core_base_address_associations_on_address_id"
    t.index ["address_type_id"], name: "index_core_base_address_associations_on_address_type_id"
    t.index ["owner_type", "owner_id"], name: "index_core_base_address_associations_on_owner"
  end

  create_table "core_base_address_types", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "core_base_addresses", id: :serial, force: :cascade do |t|
    t.string "owner_type"
    t.integer "owner_id"
    t.string "room"
    t.string "building"
    t.string "address_line_1"
    t.string "address_line_2"
    t.string "town"
    t.integer "city_id"
    t.string "region"
    t.string "postal_code"
    t.integer "country_id"
    t.string "world_coordinates"
    t.string "telephone_number_1"
    t.string "telephone_number_2"
    t.string "telephone_number_3"
    t.string "fax_number_1"
    t.string "fax_number_2"
    t.string "email_1"
    t.string "email_2"
    t.string "email_3"
    t.string "url_1"
    t.string "url_2"
    t.string "url_3"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.float "latitude"
    t.float "longitude"
    t.boolean "gmaps"
    t.index ["city_id"], name: "index_core_base_addresses_on_city_id"
    t.index ["country_id"], name: "index_core_base_addresses_on_country_id"
  end

  create_table "core_base_cities", force: :cascade do |t|
    t.string "name"
    t.string "name_ascii"
    t.string "region"
    t.float "latitude"
    t.float "longitude"
    t.bigint "country_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["country_id"], name: "index_core_base_cities_on_country_id"
  end

  create_table "core_base_colours", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "colour_code"
    t.index ["name", "colour_code"], name: "index_core_base_colours_on_name_and_colour_code", unique: true
    t.index ["name"], name: "index_core_base_colours_on_name"
  end

  create_table "core_base_currencies", id: :serial, force: :cascade do |t|
    t.string "iso_code"
    t.string "name"
    t.float "rate"
    t.float "surcharge"
    t.string "symbol"
    t.boolean "symbol_as_prefix"
    t.datetime "date_of_rate", precision: nil
    t.boolean "is_active"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["iso_code"], name: "index_core_base_currencies_on_iso_code"
  end

  create_table "core_base_distance_units", id: :serial, force: :cascade do |t|
    t.string "short_name"
    t.string "singular_name"
    t.string "repeating_name"
    t.float "length_in_metres"
  end

  create_table "core_base_email_address_types", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "core_base_email_addresses", force: :cascade do |t|
    t.string "owner_type"
    t.bigint "owner_id"
    t.string "value"
    t.bigint "email_address_type_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["email_address_type_id"], name: "index_core_base_email_addresses_on_email_address_type_id"
    t.index ["owner_type", "owner_id"], name: "index_core_base_email_addresses_on_owner_type_and_owner_id"
  end

  create_table "core_base_genders", id: :serial, force: :cascade do |t|
    t.string "name"
    t.index ["name"], name: "index_core_base_genders_on_name"
  end

  create_table "core_base_maritial_statuses", id: :serial, force: :cascade do |t|
    t.string "name"
    t.index ["name"], name: "index_core_base_maritial_statuses_on_name"
  end

  create_table "core_base_payment_methods", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "details"
    t.index ["name"], name: "index_core_base_payment_methods_on_name"
  end

  create_table "core_base_regions", id: :serial, force: :cascade do |t|
    t.integer "country_id"
    t.string "code"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["country_id"], name: "index_core_base_regions_on_country_id"
  end

  create_table "core_base_regions_i18n_strings", id: false, force: :cascade do |t|
    t.integer "region_id", null: false
    t.integer "i18n_string_id", null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["region_id", "i18n_string_id"], name: "index_regions_i18n_strings"
  end

  create_table "core_base_telephone_number_types", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "core_base_telephone_numbers", force: :cascade do |t|
    t.string "owner_type"
    t.bigint "owner_id"
    t.string "value"
    t.bigint "telephone_number_type_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["owner_type", "owner_id"], name: "index_core_base_telephone_numbers_on_owner_type_and_owner_id"
    t.index ["telephone_number_type_id"], name: "index_core_base_telephone_numbers_on_telephone_number_type_id"
  end

  create_table "core_base_timespans", id: :serial, force: :cascade do |t|
    t.string "short_name"
    t.string "singular_name"
    t.string "repeating_name"
    t.float "length_in_days"
    t.string "ical_expression"
  end

  create_table "core_base_towns", id: :serial, force: :cascade do |t|
    t.integer "region_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["region_id"], name: "index_core_base_towns_on_region_id"
  end

  create_table "core_base_towns_i18n_strings", id: false, force: :cascade do |t|
    t.integer "town_id", null: false
    t.integer "i18n_string_id", null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["town_id", "i18n_string_id"], name: "index_towns_i18n_strings", unique: true
  end

  create_table "core_base_web_address_types", force: :cascade do |t|
    t.string "name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
  end

  create_table "core_base_web_addresses", force: :cascade do |t|
    t.string "owner_type"
    t.bigint "owner_id"
    t.string "value"
    t.bigint "web_address_type_id"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["owner_type", "owner_id"], name: "index_core_base_web_addresses_on_owner_type_and_owner_id"
    t.index ["web_address_type_id"], name: "index_core_base_web_addresses_on_web_address_type_id"
  end

  create_table "core_i18n_countries", id: :serial, force: :cascade do |t|
    t.string "iso_code"
    t.string "name"
    t.index ["iso_code"], name: "index_core_i18n_countries_on_iso_code"
  end

  create_table "core_i18n_country_currencies", force: :cascade do |t|
    t.string "iso_4217_country_name"
    t.string "iso_4217_3char_country_code"
    t.string "iso_4217_2char_country_code"
    t.string "iso_4217_numeric_country_code"
    t.string "iso_3166_currency_name"
    t.string "iso_3166_currency_code"
    t.string "iso_3166_default_numeric_currency_code"
    t.string "iso_3166_numeric_currency_code"
    t.string "iso_3166_currency_minor_units"
    t.index ["iso_3166_currency_code"], name: "index_core_i18n_country_currencies_on_currency_code"
    t.index ["iso_3166_currency_name"], name: "index_core_i18n_country_currencies_on_currency_name"
    t.index ["iso_4217_2char_country_code"], name: "index_core_i18n_country_currencies_on_2char_country_code"
    t.index ["iso_4217_3char_country_code"], name: "index_core_i18n_country_currencies_on_3char_country_code"
    t.index ["iso_4217_country_name"], name: "index_core_i18n_country_currencies_on_country_name"
  end

  create_table "core_i18n_dialects", id: :serial, force: :cascade do |t|
    t.string "name"
    t.integer "language_id"
    t.index ["language_id"], name: "index_core_i18n_dialects_on_language_id"
  end

  create_table "core_i18n_i18n_strings", id: :serial, force: :cascade do |t|
    t.integer "language_id"
    t.text "value"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["language_id"], name: "index_core_i18n_i18n_strings_on_language_id"
  end

  create_table "core_i18n_languages", id: :serial, force: :cascade do |t|
    t.string "iso_639_1_code"
    t.string "iso_639_2_code"
    t.string "english_name"
    t.string "french_name"
    t.string "native_name"
    t.index ["iso_639_1_code"], name: "index_core_i18n_languages_on_iso_639_1_code"
    t.index ["iso_639_2_code"], name: "index_core_i18n_languages_on_iso_639_2_code"
  end

  create_table "core_misc_tax_classes", id: :serial, force: :cascade do |t|
    t.string "name"
    t.text "description"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
  end

  create_table "core_misc_vat_rates", id: :serial, force: :cascade do |t|
    t.integer "country_id"
    t.date "valid_from"
    t.date "valid_until"
    t.float "standard_rate"
    t.float "higher_rate"
    t.float "registration_threshold"
    t.string "applies_to"
    t.text "notes"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["country_id"], name: "index_core_misc_vat_rates_on_country_id"
  end

  create_table "core_people_and_companies_bank_branches", id: :serial, force: :cascade do |t|
    t.string "name"
    t.string "sort_code"
    t.integer "bank_id"
    t.integer "address_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["bank_id"], name: "index_bank_branches_on_bank_id"
  end

  create_table "core_people_and_companies_bank_payment_card_vendors", id: :serial, force: :cascade do |t|
    t.string "name"
    t.integer "company_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["company_id"], name: "index_bank_payment_card_vendors_on_company_id"
  end

  create_table "core_people_and_companies_bank_payment_cards", id: :serial, force: :cascade do |t|
    t.string "name_on_card"
    t.string "payment_card_number"
    t.string "security_key"
    t.datetime "valid_from", precision: nil
    t.datetime "valid_until", precision: nil
    t.integer "client_id"
    t.integer "vendor_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["client_id"], name: "index_bank_payment_cards_on_client_id"
    t.index ["vendor_id"], name: "index_bank_payment_cards_on_vendor_id"
  end

  create_table "core_people_and_companies_banks", id: :serial, force: :cascade do |t|
    t.integer "parent_company_id"
    t.string "name"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["parent_company_id"], name: "index_banks_on_parent_company"
  end

  create_table "core_people_and_companies_business_languages", id: :serial, force: :cascade do |t|
    t.integer "country_id"
    t.integer "language_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["country_id"], name: "index_business_languages_on_country_id"
    t.index ["language_id"], name: "index_business_languages_on_language_id"
  end

  create_table "core_people_and_companies_companies", id: :serial, force: :cascade do |t|
    t.string "owner_reference_type"
    t.integer "owner_reference_id"
    t.string "name"
    t.string "fiscal_name"
    t.string "branch_name"
    t.string "registration_number"
    t.string "vat_registration_number"
    t.string "head_office_company_type"
    t.integer "head_office_company_id"
    t.string "parent_office_company_type"
    t.integer "parent_office_company_id"
    t.integer "postal_address_id"
    t.integer "registered_address_id"
    t.integer "registration_country_id"
    t.string "billing_contact"
    t.string "billing_email_address"
    t.integer "billing_address_id"
    t.string "telephone_number_1"
    t.string "telephone_number_2"
    t.string "telephone_number_3"
    t.string "fax_number_1"
    t.string "fax_number_2"
    t.string "fax_number_3"
    t.string "email_1"
    t.string "email_2"
    t.string "email_3"
    t.string "url_1"
    t.string "url_2"
    t.string "url_3"
    t.text "notes"
    t.boolean "is_active", default: true, null: false
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["head_office_company_id"], name: "index_companies_on_head_office_company_id"
    t.index ["parent_office_company_id"], name: "index_companies_on_parent_office_company_id"
    t.index ["postal_address_id"], name: "index_companies_on_postal_address_id"
    t.index ["registered_address_id"], name: "index_companies_on_registered_address_id"
    t.index ["registration_country_id"], name: "index_companies_on_registration_country_id"
  end

  create_table "core_people_and_companies_company_bank_accounts", id: :serial, force: :cascade do |t|
    t.integer "bank_account_id"
    t.integer "company_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["bank_account_id"], name: "index_company_bank_accounts_on_bank_account_id"
    t.index ["company_id", "bank_account_id"], name: "index_company_bank_accounts_on_company_id_and_bank_account_id", unique: true
    t.index ["company_id"], name: "index_company_bank_accounts_on_company_id"
  end

  create_table "core_people_and_companies_company_logos", id: :serial, force: :cascade do |t|
    t.integer "company_id"
    t.integer "logo_id"
    t.index ["company_id", "logo_id"], name: "company_logo_index", unique: true
  end

  create_table "core_people_and_companies_department_members", id: :serial, force: :cascade do |t|
    t.integer "department_id"
    t.integer "member_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["department_id", "member_id"], name: "index_company_department_members"
  end

  create_table "core_people_and_companies_departments", id: :serial, force: :cascade do |t|
    t.string "name"
    t.text "notes"
    t.integer "parent_company_id"
    t.integer "parent_department_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["parent_company_id", "parent_department_id"], name: "index_company_departments"
  end

  create_table "core_people_and_companies_job_titles", id: :serial, force: :cascade do |t|
    t.decimal "base_salary"
    t.string "desctription"
    t.string "name"
    t.integer "company_id"
    t.integer "department_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["company_id"], name: "index_job_titles_on_company_id"
    t.index ["department_id"], name: "index_job_titles_on_department_id"
  end

  create_table "core_people_and_companies_master_information", id: :serial, force: :cascade do |t|
    t.integer "company_id"
    t.integer "company_bank_account_id"
    t.integer "main_contact_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["company_bank_account_id"], name: "index_master_information_on_company_bank_account_id"
    t.index ["company_id"], name: "index_master_information_on_company_id"
    t.index ["main_contact_id"], name: "index_master_information_on_main_contact_id"
  end

  create_table "core_people_and_companies_operating_companies", id: :serial, force: :cascade do |t|
    t.integer "company_id"
    t.integer "country_id"
    t.integer "language_id"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["company_id"], name: "index_operating_companies_on_company_id"
    t.index ["country_id"], name: "index_operating_companies_on_country_id"
    t.index ["language_id"], name: "index_operating_companies_on_language_id"
  end

  create_table "core_people_and_companies_people", id: :serial, force: :cascade do |t|
    t.string "owner_reference_type"
    t.integer "owner_reference_id"
    t.string "title"
    t.string "forename"
    t.string "middle_names"
    t.string "surname"
    t.integer "home_address_id"
    t.integer "postal_address_id"
    t.integer "contact_address_id"
    t.datetime "birthdate", precision: nil
    t.integer "maritial_status_id"
    t.integer "gender_id"
    t.string "health_service_reference"
    t.string "id_card_number"
    t.string "passport_number"
    t.string "residency_number"
    t.string "social_security_number"
    t.string "telephone_number_1"
    t.string "telephone_number_2"
    t.string "telephone_number_3"
    t.string "mobile_number_1"
    t.string "mobile_number_2"
    t.string "mobile_number_3"
    t.string "fax_number_1"
    t.string "fax_number_2"
    t.string "fax_number_3"
    t.string "email_1"
    t.string "email_2"
    t.string "email_3"
    t.string "url_1"
    t.string "url_2"
    t.string "url_3"
    t.text "notes"
    t.datetime "created_at", precision: nil, null: false
    t.datetime "updated_at", precision: nil, null: false
    t.index ["contact_address_id"], name: "index_people_on_contact_address_id"
    t.index ["gender_id"], name: "index_people_on_gender_id"
    t.index ["home_address_id"], name: "index_people_on_home_address_id"
    t.index ["maritial_status_id"], name: "index_people_on_maritial_status_id"
    t.index ["postal_address_id"], name: "index_people_on_postal_address_id"
  end

  create_table "core_people_and_companies_person_photos", id: :serial, force: :cascade do |t|
    t.integer "person_id"
    t.integer "photo_id"
    t.index ["person_id", "photo_id"], name: "person_photo_index", unique: true
  end

end
