# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#
#   cities = City.create([{ name: 'Chicago' }, { name: 'Copenhagen' }])
#   Mayor.create(name: 'Daley', city: cities.first)

if Gem.loaded_specs.key?('core_models')
  puts "------------------------------------------------------------------------"
  require 'core_models/seed_operations'
  CoreModels::Engine.load_seed
end

if Gem.loaded_specs.key?('asset_management')
  puts "------------------------------------------------------------------------"
  require 'asset_management/seed_operations'
  AssetManagement::Engine.load_seed
end

puts "------------------------------------------------------------------------"
require 'accounts_management/seed_operations'
AccountsManagement::SeedOperations.load_seed
